<%@ Page Language="C#" MasterPageFile="~/Admin/MasterPage.master" AutoEventWireup="true" Inherits="Kesion.NET.WebSite.Admin_Label_Label" Title="Untitled Page" CodeBehind="KS.Label.aspx.cs" %>
<%@ Import Namespace="Kesion.Publics" %>
<%@ Import Namespace="Kesion.Cache" %>
<%@ Import Namespace="Kesion.BLL" %>
<%@ Import Namespace="System.Data" %>
<asp:Content ID="Content1" ContentPlaceHolderID="KSContent" Runat="Server">
<script type="text/javascript">
    function addclass(parentid,classid)
    {  
        parent.openWin("标签目录管理","<%=KSCMS.GetInstallDir()+MyCache.GetCacheConfig(4)%>/label/KS.LabelClass.aspx?parentid="+parentid+"&classid="+classid+"&classtype=<%=LabelType %>&templateId=<%=templateId%>",true,620,350);
    } 
    function label(title,url)
    {  
      parent.openWin(title,'label/'+url,true,900,550);
    } 
    function labelclone(labelid)
    {
        parent.openWin("克隆标签","<%=KSCMS.GetInstallDir()+MyCache.GetCacheConfig(4)%>/label/KS.LabelClone.aspx?templateId=<%=templateId%>&labelid="+labelid,true,600,250);
    }
    function labelview(labelname)
    {
        parent.openWin("标签预览","<%=KSCMS.GetInstallDir()%>plus/ajaxlabel.aspx?from=preview&skinId=<%=templateId%>&labeltype=<%=LabelType %>&labelid="+escape(labelname),false,800,380);
    }
    function LabelMove() {
        var sid = GetMyIds();
        GetIDS();
        if (sid != null){
            parent.openWin("标签批量移动", "<%=KSCMS.GetInstallDir()+MyCache.GetCacheConfig(4)%>/Label/KS.LabelMove.aspx?Ids=" + sid + "&LabelType=<%=LabelType %>&templateId=<%=templateId%>", true,500, 360);
        }
        return false;
    }
    
    function GetMyIds() {
        var sid = null;
        for (var i = 0; i < document.getElementsByName("ids").length; i++) {
            var KS = document.getElementsByName("ids")[i];
            if (KS.checked == true) {
                if (sid == null)
                    sid = KS.value;
                else
                    sid += "," + KS.value;
            }
        }
        return sid;
    }
    function edit(id,type,labelflag)
    {
      if (type==0){
       addclass(<%=ClassID %>,id);
      }
      else
      {
          switch (labelflag)
          {
              case 1:
                  label("修改列表式标签属性","KS.Label.List.aspx?labelid="+id);
                  break;
              case 2:
                  label("修改幻灯片标签属性","KS.Label.Slide.aspx?labelid="+id);
                  break;
              case 3:
                  label("修改连续滚动标签属性","KS.Label.RollsPic.aspx?labelid="+id);
                  break;
              case 4:
                  label("修改相关信息标签属性","KS.Label.Related.aspx?labelid="+id);
                  break;
              case 5:
                  label("修修改轮播图标签属性","KS.Label.SlideNew.aspx?labelid="+id);
                  break;
              case 7:
                  location.href='KS.Label.Link.aspx?labelid='+id;
                  break;
              case 8:
                  label("修改位置导航标签属性","KS.Label.Navigation.aspx?labelid="+id);
                  break;
              case 10:
                  location.href='KS.Label.Intelligent.aspx?labelid='+id;
                  break;
              case 11:
                  location.href='KS.Label.LoopClass.aspx?labelid='+id;
                  break;
              case 12:
                  location.href='KS.Label.Page.aspx?labelid='+id;
                  break;
              case 13:
                  location.href='KS.Label.ProList.aspx?labelid='+id;
                  break;
              case 14:
                  location.href='KS.Label.ProLimitBuyList.aspx?labelid='+id;
                  break;
              case 17:
                  location.href='KS.Label.ProBrandList.aspx?labelid='+id;
                  break;
              case 18:
                  location.href='KS.Label.ProLimitBuyItemList.aspx?labelid='+id;
                  break;
              case 19:
                  location.href='KS.Label.ProGroupBuyList.aspx?labelid='+id;
                  break;
              case 15:
                  location.href='KS.Label.SQL.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
              case 16:
                  location.href='KS.Label.Class.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
              case 20:
                  location.href='KS.Label.SpecialList.aspx?labelid='+id;
                  break;
              case 21:
                  label("修改循环栏目专题列表标签属性","KS.Label.LoopSpecialList.aspx?labelid="+id);
                  break;
              case 22:
                  location.href='KS.Label.ViewHistoryList.aspx?labelid='+id;
                  break;
              case 24:
                  location.href='KS.Label.SpecialPage.aspx?labelid='+id;
                  break;
              case 25:
                  location.href='KS.Label.Announce.aspx?labelid='+id;
                  break;
              case 26:
                  location.href='KS.Label.IRelated.aspx?labelid='+id;
                  break;
              case 27:
                  location.href='KS.Label.ProLoopClass.aspx?labelid='+id;
                  break;
              case 30:
                  location.href='KS.Label.CosList.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
              case 31:
                  location.href='KS.Label.CosFaceList.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
              case 32:
                  location.href='KS.Label.CosTeacherList.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
              case 33:
                  location.href='KS.Label.CosEnterPriseList.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
              case 34:
                  location.href='KS.Label.CosLoopCLass.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
              case 35:
                  location.href='KS.Label.CosClassRoom.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
              case 36://小组列表标签信息
                  location.href='KS.Label.GroupList.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
              case 37://求职职位列表标签
                  location.href='KS.Label.JobZWList.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
              case 38://求职机构列表标签
                  location.href='KS.Label.JobCompanyList.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
              case 39://求职简历列表标签
                  location.href='KS.Label.JobJianliList.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
              case 40://机构中心新闻列表标签
                  location.href='KS.Label.CosEnterPriseNewsList.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
              case 41://互动数据列表标签
                  location.href='KS.Label.CosUserChatList.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
              case 42://推广课程列表展示
                  location.href='KS.Label.CosCourseSpread.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break; 
              case 43://机构循环行业列表标签
                  location.href='KS.Label.CsEpCatetoryLoopList.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
              case 44://小组话题列表标签
                  location.href = 'KS.Label.GroupTopic.aspx?labeltype=<%=LabelType %>&labelid=' + id;
                  break;
              case 52:
                  location.href='KS.Label.BlogVisitors.aspx?labelid='+id;
                  break;
              case 55:
                  location.href='KS.Label.Blog.aspx?labelid='+id;
                  break;
              case 100:
                  location.href='KS.Label.Var.aspx?labelid='+id;
                  break;
              case 200:
                  location.href='KS.Label.SJList.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
              case 201:
                  location.href='KS.Label.SJReviews.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
              case 202:
                  location.href='KS.Label.AskList.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
              case 205:
                  location.href='KS.Label.AskZJList.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
               case 206:
                  location.href='KS.Label.ActivityList.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
               case 207:
                  location.href='KS.Label.TrainingList.aspx?labeltype=<%=LabelType %>&labelid='+id;
                  break;
          }
       
      } 
    }
    function TurnLabelList(v) {
        if (v != 100) {
            location.href = 'KS.Label.aspx?templateId=<%=templateId %>&showType=<%=templateType %>&labelType=' + v;
        } else {
            location.href = 'KS.Json.aspx';
        }
    }
</script>
     <%if (LabelFlag <= 0)
         { %>
  <div class="listedit">
	<ul>
        <asp:LinkButton ID="delLabel" runat="server" Text="删除标签" OnClick="DelButton_Click" OnClientClick="return(GetIDS());" CssClass="button">删除标签</asp:LinkButton>
        <a href="KS.Label.Clear.aspx?templateId=<%=templateId %>" class="button">清除无用标签</a>
        <asp:LinkButton ID="moveLabel" runat="server" Text="移动标签" OnClientClick="return(LabelMove())" CssClass="button">移动标签</asp:LinkButton>
        <a href="KS.LabelInOrOut.aspx?templateId=<%=templateId%>" class="button">标签导入导出</a>
        <a href="KS.Label.PageStyle.aspx?templateId=<%=templateId%>" class="button">分页样式</a>
        
    </ul>
  </div>
  <div class="footer_page"></div>
     <%} %>
  <div class="content-area mt20 pageBlank">
  	<div class="myTitle">
  	  <div class="fr" style="position:relative;">
          <%if (LabelFlag <= 0)
              { %>
          <a href="#" onclick="addclass(<%=ClassID %>,0);return false;" title="创建标签分类" class="button mr20">新建分类</a>
          <%
             }
         if (LabelType == 4)
            {%>
          <a href="KS.Label.Var.aspx?LabelType=<%=LabelType %>&ClassID=<%=ClassID %>&templateId=<%=templateId %>" class="button mr20">新建标签</a>
            <%
              }
            else if (LabelType == 3)
              {%>
          <a href="KS.Label.SQL.aspx?LabelType=<%=LabelType %>&ClassID=<%=ClassID %>&templateId=<%=templateId %>" class="button mr20">新建标签</a>
            <%}
             else if (LabelFlag == 5)
               { %>
          <a href="javascript:void(0);" onclick="label('轮播图标签(新增)','KS.Label.SlideNew.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>');return false;"  class="button mr20">新建轮播图<span style="background:url('../../admin/images/list.png') center no-repeat;">&nbsp;&nbsp;</span></a>
            <%}else{ %>
          <a href="javascript:void(0);" onMouseOver="jQuery('#lbtype').css('display','');" class="button mr20">新建标签<span style="background:url('../../admin/images/list.png') center no-repeat;">&nbsp;&nbsp;</span></a>
          <%} %>
          <%--  LabelFlag <= 0--%>
            <%if (LabelFlag == 2)
              { %>
          <a href="?LabelType=<%=LabelType %>&ClassID=<%=ParentID %>&templateid=<%=templateId %>" class="button mr20">回上一级</a>
            <%}else{ %>
            <% if (pageup == "1")
                {%> 
             <a href="?LabelType=<%=LabelType %>&ClassID=<%=ParentID %>&templateid=<%=templateId %>" class="button mr20">回上一级</a>
            <%}
             else { %>
           
            <a href="KS.TemplateSkin.aspx" class="button mr20">回上一级</a>
            <%} %>
              
            <%} %>
      </div>
	  <%=templateName %>&nbsp;&nbsp;标签管理
    </div>    
  	<div class="quickSearch">
           <%if (LabelFlag <= 0)
               { %>
          <select onchange="TurnLabelList(this.value);" style="margin-right:8px;">
             <option value="">标签类型</option>
             <option value="1"<%if (KSCMS.S("labelType").Equals("1")) { Response.Write(" selected"); } %>>入门标签（函数）</option>
             <option value="2"<%if (KSCMS.S("labelType").Equals("2")) { Response.Write(" selected"); } %>>中级标签（样式）</option>
             <option value="3"<%if (KSCMS.S("labelType").Equals("3")) { Response.Write(" selected"); } %>>高级标签（SQL）</option>
             <option value="4"<%if (KSCMS.S("labelType").Equals("4")) { Response.Write(" selected"); } %>>自定义静态标签</option>
             <option value="100">json标签管理</option>
         </select>
          选择风格：<select name="templateId" onchange="location.href='KS.Label.aspx?templateId='+this.value+'&showType=<%=templateType %>&labelType=<%=LabelType %>'">
              <%
    using (DataTable dt = DataFactory.GetDataTable("select * from KS_Template Where templateType=" + templateType + " order by templateId"))
    {
        if (dt.Rows.Count > 0)
        {
            foreach (DataRow dr in dt.Rows)
            {

                Response.Write(string.Format(@" <option value=""{0}""{2}>{1}</option>", dr["templateId"].ToString(), dr["templateName"].ToString(), templateId.ToString() == dr["templateId"].ToString() ? " selected" : string.Empty));
            }
        }
    }
              %>
             
               </select>
           <%} %>
          搜索标签：<asp:TextBox runat="server" ID="TxtKeyWord" CssClass="textbox" /> 
        <asp:Button ID="BtnSearch" runat="server" CssClass="button" Text="开始搜索"  onclick="BtnSearch_Click" />
    </div>
  <%if (LabelType == 2)
                               { %>
  <style>
  .labellist{width:488px;overflow:auto;}
  .labellist div{width:160px;height:25px;float:left}
  .labellist li{clear:both}
  </style>
  <%}
                               else
                               {%>
    <style>
  .labellist{width:140px}
  </style>
  <%} %>
<div id="lbtype" style="position:absolute;right:165px; top:75px; z-index:444;display:none" onMouseOver="jQuery('#lbtype').show();"  onmouseout="jQuery('#lbtype').hide();">
<div class="labellist" style="background-color: #f0f9fe;border: 1px solid  #BCDBF8;padding: 10px 0px 5px 0px;  filter:alpha(opacity=85);">

<%if (LabelType == 1)
    { %>
<div style="padding-top:2px;"><span class="bullet"></span><a href="#" onclick="label('信息列表标签','KS.Label.List.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>');return false;"><b>信息列表类标签</b></a></div>
<div style="padding-top:2px;"><span class="bullet"></span><a href="#" onclick="label('轮播图标签(新增)','KS.Label.SlideNew.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>');return false;"><b>轮播图标签(新增)</b></a></div>
<div style="padding-top:2px;"><span class="bullet"></span><a href="#" onclick="label('幻灯片标签','KS.Label.Slide.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>');return false;"><b>幻灯片标签</b></a></div>
<div style="padding-top:2px;"><span class="bullet"></span><a href="#" onclick="label('连续滚动图片标签','KS.Label.RollsPic.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>');return false;"><b>连续滚动图片标签</b></a></div>
<div style="padding-top:2px;"><span class="bullet"></span><a href="#" onclick="label('相关信息标签','KS.Label.Related.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>');return false;"><b>相关信息标签</b></a></div>
<div style="padding-top:2px;">=============</div>
<div style="padding-top:2px;"><span class="bullet"></span><a href="#" onclick="label('位置导航标签','KS.Label.Navigation.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>');return false;"><b>位置导航标签</b></a></div>

<%}
                   else if (LabelType == 2)
                   { %>
<div><span class="bullet"></span><a href="KS.Label.Intelligent.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>自定义列表标签</b></a></div>
<div><span class="bullet"></span><a href="KS.Label.LoopCLass.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>循环栏目列表标签</b></a></div>
<div><span class="bullet"></span><a href="KS.Label.Page.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>终级分页列表标签</b></a></div>
<div><span class="bullet"></span><a href="KS.Label.ViewHistoryList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>最近浏览过的文档</b></a></div>
<div><span class="bullet"></span><a href="KS.Label.IRelated.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>相关文档列表标签</b></a></div>
<div><span class="bullet"></span><a href="KS.Label.Class.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>分类导航标签</b></a></div>
<div><span class="bullet"></span><a href="KS.Label.SpecialList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>专题列表标签</b></a></div>
<div><span class="bullet"></span><a href="KS.Label.SpecialPage.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>分页显示专题列表标签</b></a></div>
 <%if (CommonJsonCache.CheckYunAPPHasAllow("plus.link"))
                   { %>
<div><span class="bullet"></span><a href="KS.Label.Link.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>友情链接标签</b></a></div>
<%}
                   if (CommonJsonCache.CheckYunAPPHasAllow("plus.announce"))
                   { %>
    <div><span class="bullet"></span><a href="KS.Label.Announce.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>公告列表标签</b></a></div>
<%}
                   if (CommonJsonCache.CheckYunAPPHasAllow("plus.group"))
                   { %>
<div><span class="bullet"></span><a href="KS.Label.GroupList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>小组列表标签</b></a></div>
<div><span class="bullet"></span><a href="KS.Label.GroupTopic.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>小组话题列表标签</b></a></div>
 <%
                   }
                   if (CommonJsonCache.CheckYunAPPHasAllow("plus.ask"))
                   {%>
    <div><span class="bullet"></span><a href="KS.Label.Blog.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>个人空间标签</b></a></div>

   <li>==================================================</li>
 <div><span class="bullet"></span><a href="KS.Label.AskList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>问答问题列表标签</b></a></div>
 <div><span class="bullet"></span><a href="KS.Label.AskZJList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>问答专家列表标签</b></a></div>

 <%
                   }
                   if (BaseFun.CheckModulePower("exam") && MyCache.GetPaperCacheConfig(0) == "1")
                   { %>
   <li>==================================================</li>
    <div><span class="bullet"></span><a href="KS.Label.SJList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>试卷列表标签</b></a></div>
    <div><span class="bullet"></span><a href="KS.Label.SJReviews.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>考后心得列表标签</b></a></div>
 <%}


                   if (BaseFun.CheckModulePower("edu")) //课程
                   {
      %>
     <li>==================================================</li>
    <div><span class="bullet"></span><a href="KS.Label.ActivityList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>活动列表标签</b></a></div>
    <div><span class="bullet"></span><a href="KS.Label.TrainingList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>训练营列表标签</b></a></div>
    <li>==================================================</li>
    <div><span class="bullet"></span><a href="KS.Label.CosList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>网授课程列表标签</b></a></div>
    <div><span class="bullet"></span><a href="KS.Label.CosFaceList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>面授课程列表标签</b></a></div>
    <div><span class="bullet"></span><a href="KS.Label.CosLoopCLass.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>课程循环分类列表标签</b></a></div>
    <div><span class="bullet"></span><a href="KS.Label.CosTeacherList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>名师列表标签</b></a></div>
    <div><span class="bullet"></span><a href="KS.Label.CosEnterPriseList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>机构列表标签</b></a></div>
    <div><span class="bullet"></span><a href="KS.Label.CosEnterPriseNewsList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>机构新闻列表标签</b></a></div>
    <div><span class="bullet"></span><a href="KS.Label.CsEpCatetoryLoopList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>机构循环行业列表标签</b></a></div>
    <div><span class="bullet"></span><a href="KS.Label.CosUserChatList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>互动数据列表标签</b></a></div>
    <div><span class="bullet"></span><a href="KS.Label.CosClassRoom.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>班级列表标签</b></a></div>
    <div><span class="bullet"></span><a href="KS.Label.CosCourseSpread.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>推广课程列表标签</b></a></div>
	 <%
                   }
                   if (BaseFun.CheckModulePower("mall"))
                   { %>
   <li>==================================================</li>
    <div><span class="bullet"></span><a href="KS.Label.ProList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>商品列表标签</b></a></div>
    <div><span class="bullet"></span><a href="KS.Label.ProLimitBuyList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>抢购商品列表标签</b></a></div>
    <div><span class="bullet"></span><a href="KS.Label.ProLimitBuyItemList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>抢购项目列表标签</b></a></div>
    <div><span class="bullet"></span><a href="KS.Label.ProLoopClass.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>商品循环分类列表标签</b></a></div>
    <div><span class="bullet"></span><a href="KS.Label.ProBrandList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>品牌列表标签</b></a></div>
    <div><span class="bullet"></span><a href="KS.Label.ProGroupBuyList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>团购商品列表标签</b></a></div>
    <div><span class="bullet"></span><a href="KS.Label.ViewHistoryList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&basicType=4&templateId=<%=templateId %>"><b>最近浏览过的商品</b></a></div>
 <%}
                   if (BaseFun.CheckModulePower("job"))
                   { %>
   <li>==================================================</li>
    <div><span class="bullet"></span><a href="KS.Label.JobZWList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>职位列表标签</b></a></div>
    <div><span class="bullet"></span><a href="KS.Label.JobCompanyList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>招聘公司列表标签</b></a></div>
    <div><span class="bullet"></span><a href="KS.Label.JobJianliList.aspx?classid=<%=ClassID %>&labeltype=<%=LabelType %>&templateId=<%=templateId %>"><b>简历列表标签</b></a></div>
 <%}
         
      }%>
</div>
</div>


  
 <KS:KSGV ID="List" cssclass="CTable" runat='server' AllowPaging="true" PageSize="20" 
        PagerType="CustomNumeric" Width="99%" EmptyDataText="没有找到标签记录！" AutoGenerateColumns="False" GridLines="None" 
        OnRowDataBound="List_RowDataBound" OnRowCommand="List_RowCommand" 
        OnRowCreated="List_RowCreated" 
        onpageindexchanging="List_PageIndexChanging" CellSpacing="1">
                <Columns>
                    <asp:BoundField HeaderText="标签ID" DataField="classid" >
                        <itemstyle horizontalalign="Center" />
                    </asp:BoundField>

               <asp:TemplateField HeaderText="&lt;input type='checkbox' name='chkall' id='chkall' onclick='CheckAll(this.form);'/&gt;">
                        <ItemStyle HorizontalAlign="Center"  Width="35px"/>
                        <ItemTemplate>
                         <%#GetCheckBox(Convert.ToInt16(Eval("OrderID")),Convert.ToInt32(Eval("classid"))) %>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="标签名称">
                        <itemtemplate>
                        &nbsp;
                            <%#GetImg(Convert.ToInt16(Eval("OrderID")),LabelType)%>
                             <%#GetName(Convert.ToString(Eval("ClassName")),Convert.ToInt32(Eval("ClassID")),Convert.ToInt32(Eval("OrderID")),Convert.ToInt32(Eval("labelflag"))) %> 
                        </itemtemplate>
                    </asp:TemplateField>
                    <asp:BoundField HeaderText="类 型" DataField="orderid" >
                        <itemstyle horizontalalign="Center" />
                    </asp:BoundField>
                    <asp:BoundField HeaderText="标签类型" DataField="LabelFlag" >
                        <itemstyle horizontalalign="Center" />
                    </asp:BoundField>
                    <asp:TemplateField HeaderText="更新时间">
                        <itemstyle horizontalalign="Center" />
                        <itemtemplate>
                         <span class="tips"><%# Utils.FormatHumanizedTime(Convert.ToDateTime(Eval("AddDate"))) %></span>
                        </itemtemplate>
                    </asp:TemplateField>


                    <asp:TemplateField HeaderText="编辑">
                       <itemstyle horizontalalign="Center" width="25px"/>
                        <itemtemplate>
                          <a href="#" class="edit" onclick="edit(<%# Eval("ClassID", "{0}")%>,<%#Eval("orderid") %>,<%#Eval("labelflag") %>);return false;" title="编辑"></a>
                        </itemtemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="删除">
                       <itemstyle horizontalalign="Center" width="25"/>
                        <itemtemplate>
                         <a class="delete" href='?Action=del&id=<%#Eval("classid") %>&orderid=<%#Eval("orderid") %>&labeltype=<%=LabelType %>&ClassID=<%=ClassID %>&templateId=<%=templateId %>' title="删除" onclick="return(confirm('此操作不可逆，确定删除操作吗?'))"></a>
                        </itemtemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="克隆">
                        <itemstyle horizontalalign="Center" width="25"/>
                        <itemtemplate>
                        <a href="javascript:" onclick="labelclone(<%# Eval("classid") %>)"  title="克隆标签" class="copy"></a>
                      </itemtemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="预览">
                        <itemstyle horizontalalign="Center" width="25"/>
                        <itemtemplate>
                        <a href="javascript:" onclick="labelview('<%# Eval("ClassName") %>');doNone(event);"  title="标签预览" class="preview"></a>
                      </itemtemplate>
                    </asp:TemplateField>
                </Columns>
                <PagerSettings FirstPageText="首页" LastPageText="末页" Mode="NumericFirstLast" 
                    NextPageText="下一页" PreviousPageText="上一页" />
                <EmptyDataRowStyle CssClass="emptycss" />
                <PagerStyle BorderStyle="None" BorderWidth="1px" Height="40px" Wrap="True" />
                <HeaderStyle CssClass="CTitle" />
            </KS:KSGV>

        
           <br />
           
        
     </div>   
           
</asp:Content>

